curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "List",
"data": [
{
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"id": "TX12345678",
"timestamp": "2020-05-18T20:39:03.000Z",
"submitted_ts": "2020-05-18T20:39:03.000Z",
"amount": 21.64,
"partial_amount": 11.64,
"currency": "USD",
"status": "Authorized",
"division_number": "349641",
"retain_transaction_id": "<string>",
"refunds": [
{
"id": "C12345678",
"vid": "f147870b2c86a00fb1264fb64c0a8b58fcd95b4d",
"amount": 21.64,
"status": "Completed",
"timestamp": "2023-02-16T20:39:03.000Z"
}
],
"processor_transaction_id": "<string>",
"account": {
"id": "Cust-2125551212",
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"external_id": "asdf1234",
"email": "foo@example.com"
},
"subscription": {
"id": "Sub-2125551212",
"starts": "2022-05-15T18:24:05.000Z",
"affiliate": "Sub-2125551212",
"sub_affiliate": "Sub-2125551212"
},
"previous_billing_count": 123,
"payment_method": {
"id": "XY-0266667018640",
"credit_card": {
"account": "-----BEGIN PGP MESSAGE-----\nVersion: Crypt::OpenPGP 1.12\n\nhIwDSPki6gFMdzcBBACbOQMTtfNXNwzzbNGb2qRCYEuGZ4PQP8+MIdHb7+v56O9R\n9q0nTczets0IBnxktypGLR/yoy7MDVvZ1xBK7pCEM3PDxvqWzg4YxZ0pri9NZwYi\nHYNxjurmU2jeL9vcgl96w1pbeBcSXxa6xgpfFidLADVaADn7+1nprR8LblUZsKQi\n4FfULminxVaqlr/yLXO2qjSHxvhb62JXqS9RnjDq3Zxf+A==\n=X7h1\n-----END PGP MESSAGE-----\n",
"account_hash": "c8958779c12837ffec0520eac5c1f61db88bb5f4",
"expiration_date": "202204",
"account_updated": true
},
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"account": {
"id": "Cust-2125551212",
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"external_id": "asdf1234",
"email": "foo@example.com"
},
"account_holder": "Lily Munster",
"billing_address": {
"line1": "1313 Mockingbird Ln.",
"line2": "Floor 13",
"line3": "Suite 13",
"city": "Mockingbird Heights",
"county": "San Bernardino",
"district": "CA",
"postal_code": "92415",
"country": "US"
},
"is_tokenized": false,
"type": "CreditCard",
"primary": 1
},
"metadata": {},
"next_activity": "2022-10-08T00:00:00.000Z",
"billing_descriptor": "<string>",
"auth_code": "530",
"avs_code": "Y:2341234234",
"cvn_code": "M:2341234234",
"auth_code_description": "Soft Failure",
"payment_network_transaction_id": "<string>",
"retry_number": 1,
"forced_deposit": false,
"is_network_token": 123,
"cryptogram": "<string>",
"eci_indicator": "<string>"
}
],
"url": "<string>",
"next": "<string>",
"previous": "<string>",
"total_count": 123
}{
"code": "RET400",
"message": "Invalid parameter: <bad_parm>"
}{
"code": "RET0404",
"message": "No matching results found"
}Fetch a Retain Transaction
Vindicia Retain returns the Transaction identified by the input. Use this method to fetch a specific transaction. To retrieve multiple results in a single call, use the GET /retain/transactions API call instead of this one.
Note: The recommended way to determine the final state of a Retain transaction is by using Push Notifications, or the GET /transactions API. This means that all final state results should be received through one of these mechanisms. Making this call with a transaction id that was received through either of those mechanisms provides the same results.
Accepts
None.
Returns
A specific transaction object.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Retain_API/2024.06/retain/transactions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "List",
"data": [
{
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"id": "TX12345678",
"timestamp": "2020-05-18T20:39:03.000Z",
"submitted_ts": "2020-05-18T20:39:03.000Z",
"amount": 21.64,
"partial_amount": 11.64,
"currency": "USD",
"status": "Authorized",
"division_number": "349641",
"retain_transaction_id": "<string>",
"refunds": [
{
"id": "C12345678",
"vid": "f147870b2c86a00fb1264fb64c0a8b58fcd95b4d",
"amount": 21.64,
"status": "Completed",
"timestamp": "2023-02-16T20:39:03.000Z"
}
],
"processor_transaction_id": "<string>",
"account": {
"id": "Cust-2125551212",
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"external_id": "asdf1234",
"email": "foo@example.com"
},
"subscription": {
"id": "Sub-2125551212",
"starts": "2022-05-15T18:24:05.000Z",
"affiliate": "Sub-2125551212",
"sub_affiliate": "Sub-2125551212"
},
"previous_billing_count": 123,
"payment_method": {
"id": "XY-0266667018640",
"credit_card": {
"account": "-----BEGIN PGP MESSAGE-----\nVersion: Crypt::OpenPGP 1.12\n\nhIwDSPki6gFMdzcBBACbOQMTtfNXNwzzbNGb2qRCYEuGZ4PQP8+MIdHb7+v56O9R\n9q0nTczets0IBnxktypGLR/yoy7MDVvZ1xBK7pCEM3PDxvqWzg4YxZ0pri9NZwYi\nHYNxjurmU2jeL9vcgl96w1pbeBcSXxa6xgpfFidLADVaADn7+1nprR8LblUZsKQi\n4FfULminxVaqlr/yLXO2qjSHxvhb62JXqS9RnjDq3Zxf+A==\n=X7h1\n-----END PGP MESSAGE-----\n",
"account_hash": "c8958779c12837ffec0520eac5c1f61db88bb5f4",
"expiration_date": "202204",
"account_updated": true
},
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"account": {
"id": "Cust-2125551212",
"vid": "659649a98f9b2c688b6217b3c642e1f3262a3427",
"external_id": "asdf1234",
"email": "foo@example.com"
},
"account_holder": "Lily Munster",
"billing_address": {
"line1": "1313 Mockingbird Ln.",
"line2": "Floor 13",
"line3": "Suite 13",
"city": "Mockingbird Heights",
"county": "San Bernardino",
"district": "CA",
"postal_code": "92415",
"country": "US"
},
"is_tokenized": false,
"type": "CreditCard",
"primary": 1
},
"metadata": {},
"next_activity": "2022-10-08T00:00:00.000Z",
"billing_descriptor": "<string>",
"auth_code": "530",
"avs_code": "Y:2341234234",
"cvn_code": "M:2341234234",
"auth_code_description": "Soft Failure",
"payment_network_transaction_id": "<string>",
"retry_number": 1,
"forced_deposit": false,
"is_network_token": 123,
"cryptogram": "<string>",
"eci_indicator": "<string>"
}
],
"url": "<string>",
"next": "<string>",
"previous": "<string>",
"total_count": 123
}{
"code": "RET400",
"message": "Invalid parameter: <bad_parm>"
}{
"code": "RET0404",
"message": "No matching results found"
}Path Parameters
Identifier of Transaction to retrieve.
{transaction_id} can be either:
- The Merchant supplied identifier of a transaction that failed billing in the Merchant's billing system (aka a 'Failed' transaction identifier)
- The Retain generated identifier of a retry transaction (either successful or declined)
Query Parameters
If set to true, all Retain transactions (submitted Failed and all retries) related to the Transaction identified by id are returned.
Response
List of Transactions with pagination links
List Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.
Integer count of the number of items in the returned list.
